summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ozan Türkyılmaz2022-04-22 16:48:58 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:21 +0200
commitb483e62a763d9b2d3571285c769bd344c1785866 (patch)
tree26a377d381c90ee9447cba9e1f1f377dcb32b285
parent86a632af531b7d5c9b40554f1ddb20014fca66b3 (diff)
downloadslackbuilds-b483e62a763d9b2d3571285c769bd344c1785866.tar.gz
libraries/clutter: Added (OpenGL based interactive canvas library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/clutter/README17
-rw-r--r--libraries/clutter/clutter.SlackBuild128
-rw-r--r--libraries/clutter/clutter.info10
-rw-r--r--libraries/clutter/slack-desc19
4 files changed, 174 insertions, 0 deletions
diff --git a/libraries/clutter/README b/libraries/clutter/README
new file mode 100644
index 0000000000..43c6629aad
--- /dev/null
+++ b/libraries/clutter/README
@@ -0,0 +1,17 @@
+Clutter is an open source (LGPL 2.1) software library for creating fast,
+compelling, portable, and dynamic graphical user interfaces. It is a
+core part of Gnome3, it is used by the GnomeShell, and is supported by
+the open source community.
+
+Clutter uses OpenGL for rendering (and optionally OpenGL ES for use on
+mobile and embedded platforms), but wraps an easy to use, efficient,
+flexible API around GL's complexity.
+
+Clutter enforces no particular user interface style, but provides a
+rich, generic foundation for higher-level toolkits tailored to specific
+needs.
+
+Below variables can be used to configure the build:
+ GCOV=yes : Enable gcov
+ INTROSPECTION=yes : Enable introspection for this build
+ GTKDOC=yes : Use gtk-doc to build documentation
diff --git a/libraries/clutter/clutter.SlackBuild b/libraries/clutter/clutter.SlackBuild
new file mode 100644
index 0000000000..971151e63e
--- /dev/null
+++ b/libraries/clutter/clutter.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+# Slackware build script for clutter
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=clutter
+VERSION=${VERSION:-1.26.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+GCOV=${GCOV:-no}
+INTROSPECTION=${INTROSPECTION:-no}
+GTKDOC=${GTKDOC:-no}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-mir-backend \
+ --disable-cex100-backend \
+ --disable-win32-backend \
+ --enable-x11-backend \
+ --enable-gdk-backend \
+ --enable-wayland-backend \
+ --enable-egl-backend \
+ --enable-evdev-input \
+ --enable-wayland-compositor \
+ --enable-xinput \
+ --enable-gdk-pixbuf \
+ --enable-gcov="$GCOV" \
+ --enable-introspection="$INTROSPECTION" \
+ --enable-gtk-doc="$GTKDOC" \
+ --enable-gtk-doc-html="$GTKDOCK" \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS CONTRIBUTING.md COPYING ChangeLog NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/clutter/clutter.info b/libraries/clutter/clutter.info
new file mode 100644
index 0000000000..1713a024df
--- /dev/null
+++ b/libraries/clutter/clutter.info
@@ -0,0 +1,10 @@
+PRGNAM="clutter"
+VERSION="1.26.4"
+HOMEPAGE="https://wiki.gnome.org/Projects/Clutter"
+DOWNLOAD="https://download.gnome.org/sources/clutter/1.26/clutter-1.26.4.tar.xz"
+MD5SUM="624dd776a5159de0267587b1df6b97b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cogl"
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/libraries/clutter/slack-desc b/libraries/clutter/slack-desc
new file mode 100644
index 0000000000..50cd65d25f
--- /dev/null
+++ b/libraries/clutter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clutter: clutter (OpenGL based interactive canvas library)
+clutter:
+clutter: Clutter is an open source software library for creating fast, visually
+clutter: rich and animated graphical user interfaces using OpenGL or OpenGL ES
+clutter: for rendering.
+clutter:
+clutter: https://wiki.gnome.org/Projects/Clutter
+clutter:
+clutter:
+clutter:
+clutter: